###########################################################################
# FLEMM-v3.1 -- French Lemmatizer : Lemmatisation du franais  partir de # 
# corpus tiquets - Version 3.1					  #
# Copyright (C) 2004 (NAMER Fiammetta)					  #
###########################################################################
#
# $Id$
#

package Flemm::Analyse;

use strict;

sub new {
    my $this = shift;
    my $class = ref($this) || $this;
    my $self = {};
    bless $self, $class;

    $self->{lemme}=undef;
    $self->{features}=undef;

    return $self;
}

sub getLemme {
    my $self=shift;

    return $self->{lemme};
}

sub setLemme {
    my $self=shift;
    my($lemme)=@_;

    $self->{lemme}=$lemme;
}

sub getFeatures {
    my $self=shift;

    return $self->{features};
}

sub setFeatures {
    my $self=shift;
    my ($features)=@_;

    $self->{features}=$features;
}

1;

__END__

=head1 NAME

Flemm::Analyse - Lemmatisation du franais  partir de corpus 
tiquets.
Description d'une analyse

=head1 SYNOPSIS

 use Flemm::Analyse; 
 my $ana=new Flemm::Analyse;


=head1 DESCRIPTION

Flemm::Analyse dfinit un objet dcrivant une analyse morpho-flexionnelle.
Les mthodes de ce module sont utilises dans Flemm::Result, 
pour dfinir et rstituer les diffrentes partie de cette analyse

L'objet est constitu de :

=over 3

=item * un lemme

=item * un ensemble de traits

=back

=cut

=head1 METHODES

=over 3

=item new()

La mthode new permet de crer un objet de type Flemm::Analyse.

=item getLemme(), getFeatures()

Mthodes permettant d'accder, respectivement  : 
le lemme, l'ensemble des traits flexionnels.

=item setLemme($lemme), setFeatures($features)

Mthodes permettant de renseigner, respectivement: 
le lemme, l'ensemble des traits flexionnels.

=back

=cut
